### Method

# Cogl Onscreen get_frame_counter

#### Declaration [src]

    int64_t
    cogl_onscreen_get_frame_counter (
      CoglOnscreen* onscreen
    )

#### Description [src]

Gets the value of the framebuffers frame counter. This is a counter that increases by one each time `cogl_onscreen_swap_buffers()` or `cogl_onscreen_swap_region()` is called.

#### Return value

Type: `int64_t`

The current frame counter value.